%define upstream_name Lingua-Preferred
%define upstream_version 0.2.4

Summary:	Perl extension to choose a language
License:	GPL/Artistic
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 19
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:		ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
Often human-readable information is available in more than one language. Which
should you use? This module provides a way for the user to specify possible
languages in order of preference, and then to pick the best language of those
available. Different 'dialects' given by the 'territory' part of the language
specifier (such as en, en_GB, and en_US) are also supported.

Authors:
--------
        Ed Avis <epa98@doc.ic.ac.uk>

%prep
%setup -n %{upstream_name}-%{upstream_version} -q

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Lingua/Preferred.pm
%{perl_vendorlib}/auto/Lingua/Preferred/autosplit.ix
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.2.4-19.mga9
+ Revision: 1804236
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.4-18.mga8
+ Revision: 1495325
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.4-17.mga7
+ Revision: 1268877
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.4-16.mga6
+ Revision: 1029152
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.4-15.mga6
+ Revision: 968671
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 0.2.4-14.mga6
+ Revision: 854373
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-13.mga5
+ Revision: 739449
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.2.4-12.mga5
+ Revision: 733110
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-11.mga5
+ Revision: 685215
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.4-10.mga4
+ Revision: 512608
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-9.mga3
+ Revision: 369028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.2.4-8.mga1
+ Revision: 38309
- mageia rebuild
- imported package perl-Lingua-Preferred


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.2.4-8mdv2010.0
+ Revision: 430480
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2.4-7mdv2009.0
+ Revision: 257563
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.2.4-6mdv2009.0
+ Revision: 245623
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2.4-4mdv2008.1
+ Revision: 136280
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 03 2007 Stefan van der Eijk <stefan@mandriva.org> 0.2.4-4mdv2007.0
+ Revision: 103812
- Import perl-Lingua-Preferred

* Fri May 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-4mdk
- Fix BuildRequires
- Fix Build 
- Fix Source URL
- Fix URL

* Fri Apr 22 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.4-3mdk
- mkrel
- reupload (stuff got lost)

* Mon Feb 28 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.4-2mdk
- B'day rebuild
- use AutoReqProv

* Sun Jan 11 2004 Stefan van der Eijk <stefan@eijk.nu> 0.2.4-1mdk
- 0.2.4

